# $Revision: 1.64 $, $Date: 2012/04/14 00:25:58 $
# TODO:
# - Tests are temporarily disabled, because even if all tests passes ant still
#   thinks that some tests failed.
# - I'm not able to produce correct UTF-8 character in PDF/PNG output (-awt
#   output works perfectly)
# - fop-font-install.sh: generate config for other types of fonts (at least
#   PFM fonts are supported)

%bcond_with	tests		# perform tests, broken, see TODO

%define		srcname	xmlgraphics-fop
%include	/usr/lib/rpm/macros.java
Summary:	XSL Formatter in Java
Summary(pl.UTF-8):	Formater XSL napisany w Javie
Name:		java-xmlgraphics-fop
Version:	1.0
Release:	2
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/xmlgraphics/fop/source/fop-%{version}-src.tar.gz
# Source0-md5:	95dcc4c2dd08b4bc88ce9ce1ee88c439
Source1:	fop-font-install.sh
Source2:	fop.sh
URL:		http://xmlgraphics.apache.org/fop/
BuildRequires:	ant
BuildRequires:	ant-trax
BuildRequires:	glibc-localedb-all
%{?with_tests:BuildRequires:	java-junit}
BuildRequires:	java-xalan
BuildRequires:	java-xerces
BuildRequires:	java-xmlgraphics-batik
%{?with_tests:BuildRequires:	java-xmlunit}
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires(post):	java-commons-io
Requires(post):	java-xmlgraphics-commons
Requires(post):	java-xml-commons-external
Requires:	fonts-TTF-RedHat-liberation
Requires:	freetype1
Requires:	java-avalon-framework
Requires:	java-commons-io
Requires:	java-commons-logging
Requires:	java-xalan
Requires:	java-xerces
Requires:	java-xmlgraphics-batik
Requires:	java-xmlgraphics-commons
Requires:	jpackage-utils
Requires:	jre-X11
Requires:	ttmkfdir
Patch0:		fop-disableX11tests.patch
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_fop_font_metrics	/var/lib/fop

%description
FOP is the world's first print formatter driven by XSL formatting
objects. It is a Java application that reads a formatting object tree
and then turns it into a PDF document. The formatting object tree, can
be in the form of an XML document (output by an XSLT engine like XT or
Xalan) or can be passed in memory as a DOM Document or (in the case of
XT) SAX events.

%description -l pl.UTF-8
FOP to pierwszy na świecie program formatujący wydruki sterowany
obiektami formatującymi XSL. To jest aplikacja Javy czytająca drzewo
obiektów formatujących i przekształcająca je w dokument PDF. Drzewo
obiektów formatujących może być w formie dokumentu XML (wyjścia z
silnika XSLT takiego jak XT lub Xalan) lub być przekazane jako
dokument DOM lub (w przypadku XT) zdarzenia SAX.

%package -n fop
Summary:	fop commandline utility
Group:		Applications/Publishing/XML/Java
Requires:	%{name} = %{version}-%{release}

%description -n fop
Shell script that allows to use java-xmlgraphics-fop as standalone
application.

%prep
%setup -q -n fop-%{version}

%{?with_tests:%patch0 -p1}

%build
required_jars='ant xml-commons-apis xercesImpl xalan xmlgraphics-batik'
CLASSPATH="%{_jvmlibdir}/java/lib/tools.jar"
CLASSPATH="$CLASSPATH:$(%{_bindir}/build-classpath $required_jars)"
export JAVA_HOME=%{java_home}
export JAVAC=%{javac}
export JAVA=%{java}

export LC_ALL=en_US # source code not US-ASCII

%ant package servlet transcoder-pkg

%if %{with tests}
required_jars='xmlunit junit'
CLASSPATH="$CLASSPATH:$(%{_bindir}/build-classpath $required_jars)"
%ant -Dbuild.sysclasspath=first
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_fop_font_metrics},%{_bindir}} \
	$RPM_BUILD_ROOT%{_fontsdir}

install -p %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/fop-font-install
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/fop

# jars
cp -p build/fop.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

touch $RPM_BUILD_ROOT%{_fop_font_metrics}/fop-font.config

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/fop-font-install

%files
%defattr(644,root,root,755)
%doc KEYS README
%dir %{_fop_font_metrics}
%ghost %{_fop_font_metrics}/fop-font.config
%{_javadir}/%{srcname}.jar
%{_javadir}/%{srcname}-%{version}.jar
%attr(755,root,root) %{_bindir}/fop-font-install

%files -n fop
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-xmlgraphics-fop.spec,v $
Revision 1.64  2012/04/14 00:25:58  glen
- add R(post) deps, hopefully solves first install errors: http://carme.pld-linux.org/~glen/fop-install-sequence.txt

Revision 1.63  2011/10/13 18:06:54  zawadaa
- up to 1.0
- add req for basic ttf fonts - for clean install

Revision 1.62  2010/09/27 16:28:02  pawelz
- rel 6

Revision 1.61  2010/09/27 16:12:46  pawelz
- BR: ant, ant-trax

Revision 1.60  2010/09/27 12:12:57  pawelz
- arrrrggghhhh!!! Typo.

Revision 1.59  2010/09/27 12:12:19  pawelz
- R: java-commons-logging
- rel 5

Revision 1.58  2010/04/24 22:20:05  pawelz
- rel 4

Revision 1.57  2010/04/24 22:10:52  pawelz
- fixed previous commit

Revision 1.56  2010/04/24 22:08:17  pawelz
- fix %files

Revision 1.55  2010/04/18 16:08:59  pawelz
- sorted BRs
- dropped BR: rpm >= 4.4.9-56, as %{pld_release} macro is not used here

Revision 1.54  2010/04/17 07:44:32  jajcus
- do not pull java-sun via BR - icedtea6 should be enough in all (most) cases

Revision 1.53  2010/04/04 20:09:52  pawelz
- TODO:
- - I'm not able to produce correct UTF-8 character in PDF/PNG output (-awt
-   output works perfectly)
- - fop-font-install.sh: generate config for other types of fonts (at least
-   PFM fonts are supported)

Revision 1.52  2010/04/04 20:01:47  pawelz
- use /var/lib/fop for fop-font.config, imo it's better location
  than /usr/share/fonts
- don't create empty file. Use %ghost.

Revision 1.51  2010/04/04 19:45:21  pawelz
- dropped duplicated dep

Revision 1.50  2010/04/03 22:54:54  pawelz
- R: jre-X11 (for -awt)

Revision 1.49  2010/04/03 21:26:28  pawelz
- sorted dependencies

Revision 1.48  2010/04/03 21:26:05  pawelz
- R: java-avalon-framework
- rel 3

Revision 1.47  2010/04/03 20:35:01  pawelz
- fixed batik references
- rel 2

Revision 1.46  2010/04/03 19:23:36  pawelz
- really drop gcj support
- verbose files

Revision 1.45  2010/04/03 19:21:48  pawelz
- renamed from fop
- subpackage -n fop, that provides fop cmdline utility
- dropped gcj support
- some cleanup and dependency fixes

Revision 1.44  2010/04/01 22:59:12  pawelz
- dependencies

Revision 1.43  2010/04/01 21:46:25  pawelz
- up to 0.95
- pldized/unified/etc
- it builds, but still needs some work

Revision 1.42  2007/12/09 01:39:13  glen
- R: jpackage-utils for %{_javadir}

Revision 1.41  2007-03-31 21:37:51  qboosh
- updated URLs

Revision 1.40  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.38  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.37  2006/09/11 13:06:39  baggins
- back to 0.20.5
- not working, not building snap moved to DEVEL

Revision 1.33  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.32  2006/05/23 19:20:49  radek
- tweaked CLASSPATH, still doesn't build (how to pass -source?)

Revision 1.31  2006/05/23 18:45:07  radek
- unified, use macros (still doesn't build)
- s/_javaclassdir/_javadir
- license: apache v1.1, removed LICENSE

Revision 1.30  2004/08/16 10:48:28  luzik
- updated to 0.20.5

Revision 1.29  2003/11/08 23:04:25  qboosh
- updated Source0 URL (but only newer version there)

Revision 1.28  2003/05/27 08:31:27  trojan
- added Source-md5

Revision 1.27  2003/05/25 05:47:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/07 08:01:17  trojan
- updated to 0.20.5rc2

Revision 1.25  2002/08/18 17:09:40  blues
- release 3 - license fix, new doc

Revision 1.24  2002/04/25 16:18:49  arturs
- fixed a small typo

Revision 1.23  2002/03/12 18:57:02  aflinta
- corrected JAVA_HOME initialization to proper directory
- release 2

Revision 1.22  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/11 19:37:35  wrobell
- avalon jar is required by fop

Revision 1.19  2002/02/11 19:33:57  wrobell
- install more jars

Revision 1.18  2002/02/06 18:50:58  wrobell
- rel. 0.20.3rc
- use system xalan, xerces and batik

Revision 1.17  2002/01/18 02:12:57  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/27 10:08:23  qboosh
- pl description

Revision 1.15  2001/09/21 12:25:08  bonkey
- corrected URL for Source0

Revision 1.14  2001/09/15 19:38:26  bonkey
- Group changed to Applications/Publishing/XML/Java

Revision 1.13  2001/09/15 17:24:19  bonkey
- BuildRequires: jdk = 1.3 changed to >= 1.3

Revision 1.12  2001/09/15 10:16:07  bonkey
- changed BuildRequires: java1.3sdk to jdk = 1.3

Revision 1.11  2001/08/20 17:09:08  wrobell
- ver. 0.20.1

Revision 1.10  2001/08/14 00:38:31  wrobell
- minor fix

Revision 1.9  2001/08/13 22:26:31  wrobell
- name changed to Fop

Revision 1.8  2001/08/13 15:48:52  wrobell
- ver 0.20.0

Revision 1.7  2001/06/13 16:02:35  wrobell
- update for newest snapshot

Revision 1.6  2001/06/08 13:33:11  wrobell
- updated for latest snapshot

Revision 1.5  2001/04/28 10:50:37  wrobell
- fixed typo

Revision 1.4  2001/04/28 06:12:59  kloczek
- spec adapterized,
- remove bashism from %build,
- simplifications in %install.

Revision 1.3  2001/04/28 03:49:30  wrobell
- updated to latest cvs snapshot
- shell script
- font configuration script (embedding Unicode TTF fonts should be easy
  now)

Revision 1.2  2001/02/06 05:36:35  kloczek
- spec adapterized and some cosmetics.

Revision 1.1  2001/01/23 23:58:10  klakier
- xsl fo formatter
